@import 'src/assets/scss/_variables';
@import 'src/assets/scss/_mixins';
.mainInfo {
    width: 106rem;
    padding: 0 6rem;
    position: relative;
    .codeLines {
        width: 54rem;
        height: 18.5rem;
        position: absolute;
        top: 19.5rem;
        left: 62.5rem;
        background: transparent url('../../../assets/code-lines.svg') no-repeat 50% 50%;
    }
    .name {
        font-style: normal;
        font-weight: 100;
        font-size: 9.6rem;
        line-height: 10rem;
        text-transform: uppercase;
        color: #121F31;
        width: 62rem;
        margin: 6rem 0 2.9rem 0;
        position: relative;
        left: -1rem;
    }
    .position {
        font-style: normal;
        font-weight: 700;
        font-size: 1.8rem;
        line-height: 2.2rem;
        margin: 0 0 6.9rem 0;
        text-transform: uppercase;
        color: #121F31;
    }
    .description {
        font-style: normal;
        font-weight: 700;
        font-size: 3.6rem;
        line-height: 4.8rem;
        color: #000000;
        margin: 0 0 1.2rem 0;
    }
    .skills {
        display: flex;
        margin: 4.2rem 0 9.1rem 0;
        font-style: normal;
        font-weight: 700;
        font-size: 1.6rem;
        line-height: 2.7rem;
        text-align: center;
        color: #121F31;
        &>div {
            margin-right: 5.1rem;
        }
    }
    .button {
        @include button;
        margin-bottom: 6rem;
        width: 13.3rem;
    }
}

@media print {
    .mainInfo {
        width: 100%;
        padding: 3.4rem 5.8rem;
        position: static;
        height: 100%;
        .name {
            font-size: 1.8rem;
            line-height: 2.6rem;
            margin: 0;
            position: static;
            font-weight: 700;
        }
        .position {
            font-size: 0.9rem;
            line-height: 1.6rem;
            font-weight: 700;
            margin: 0;
        }
        .description,
        .skills,
        .codeLines,
        .button {
            display: none;
        }
    }
}